API reference / YouTube / Channels list
Channels list
Read-only YouTube Data API v3 channels list endpoint.
1 credit per successful call
Errors are never charged
Request
GET
https://socialgraph.dev/api/v1/youtube/channels
Send your API key as Authorization: Bearer YOUR_API_KEY.
Parameters go in the query string.
Parameters
| Name | Type | Description |
|---|---|---|
partrequired |
string | Required. Comma-separated: id, snippet, contentDetails, statistics, topicDetails, status, brandingSettings or localizations. For example: snippet,statistics |
idoptional |
string | Comma-separated channel IDs (provide id, forHandle or forUsername). For example: UC_x5XG1OV2P6uZZ5FSM9Ttw |
forHandleoptional |
string | Channel handle, with or without @ (provide id, forHandle or forUsername). For example: @GoogleDevelopers |
forUsernameoptional |
string | Legacy YouTube username (provide id, forHandle or forUsername). For example: GoogleDevelopers |
maxResultsoptional |
integer | Maximum results per page (0–50). |
pageTokenoptional |
string | Token from a previous response (nextPageToken or prevPageToken). |
hloptional |
string | Language for localized titles and descriptions. For example: es |
Code examples
Example response
{
"etag": "EnjiuHaewbbcdMJGLTsNaOGwrUI",
"kind": "youtube#channelListResponse",
"items": [
{
"id": "UC_x5XG1OV2P6uZZ5FSM9Ttw",
"etag": "RPMWR7K_FM_je-mzlYfLuiw2po4",
"kind": "youtube#channel",
"snippet": {
"title": "Google for Developers",
"country": "US",
"customUrl": "@googledevelopers",
"localized": {
"title": "Google for Developers",
"description": "Subscribe to join a community of creative developers and learn the latest in Google technology — from AI and cloud, to mobile and web.\n\nExplore more at developers.google.com\n"
},
"thumbnails": {
"high": {
"url": "https://yt3.ggpht.com/r99eRlOesQkJe7pOzDY4JazAlhidoVp-0syxBnYjfeHdmUXGa5zOxcozaxKF2oPHg3RkglecZQ=s800-c-k-c0x00ffffff-no-rj",
"width": 800,
"height": 800
},
"medium": {
"url": "https://yt3.ggpht.com/r99eRlOesQkJe7pOzDY4JazAlhidoVp-0syxBnYjfeHdmUXGa5zOxcozaxKF2oPHg3RkglecZQ=s240-c-k-c0x00ffffff-no-rj",
"width": 240,
"height": 240
},
"default": {
"url": "https://yt3.ggpht.com/r99eRlOesQkJe7pOzDY4JazAlhidoVp-0syxBnYjfeHdmUXGa5zOxcozaxKF2oPHg3RkglecZQ=s88-c-k-c0x00ffffff-no-rj",
"width": 88,
"height": 88
}
},
"description": "Subscribe to join a community of creative developers and learn the latest in Google technology — from AI and cloud, to mobile and web.\n\nExplore more at developers.google.com\n",
"publishedAt": "2007-08-23T00:34:43Z"
},
"statistics": {
"viewCount": "361458056",
"videoCount": "6112",
"subscriberCount": "2680000",
"hiddenSubscriberCount": false
}
}
],
"pageInfo": {
"totalResults": 1,
"resultsPerPage": 5
}
}Errors
| Status | Meaning | Charged? |
|---|---|---|
| 401 | Missing, invalid or revoked API key | No |
| 402 | Not enough credits (insufficient_credits) | No |
| 404 | The account or post doesn't exist | No |
| 422 | Missing or invalid parameters | No |
| 502 / 503 | The data source is temporarily unavailable | No |
Try it live: Channels list
GET
🔒 Preset demo input. Live demos use the Google for Developers channel, youtube.com/@GoogleDevelopers. Sign up free to use your own.
More YouTube endpoints
GET
Activities list
Read-only YouTube Data API v3 activities list endpoint.
/api/v1/youtube/activities
1 credit / call
GET
Channel sections list
Read-only YouTube Data API v3 channelSections list endpoint.
/api/v1/youtube/channelSections
1 credit / call
GET
Comment threads list
Read-only YouTube Data API v3 commentThreads list endpoint.
/api/v1/youtube/commentThreads
1 credit / call
GET
Comments list
Read-only YouTube Data API v3 comments list endpoint.
/api/v1/youtube/comments
1 credit / call
GET
Internationalization languages list
Read-only YouTube Data API v3 i18nLanguages list endpoint.
/api/v1/youtube/i18nLanguages
1 credit / call
GET
Internationalization regions list
Read-only YouTube Data API v3 i18nRegions list endpoint.
/api/v1/youtube/i18nRegions
1 credit / call